---
lang: en
title: 'API docs: rest.restcomponent'
keywords: LoopBack 4.0, LoopBack 4
sidebar: lb4_sidebar
permalink: /doc/en/lb4/apidocs.rest.restcomponent.html
---

<!-- Do not edit this file. It is automatically generated by API Documenter. -->

[Home](./index.md) &gt; [@loopback/rest](./rest.md) &gt; [RestComponent](./rest.restcomponent.md)

## RestComponent class

<b>Signature:</b>

```typescript
export declare class RestComponent implements Component 
```

## Constructors

|  Constructor | Modifiers | Description |
|  --- | --- | --- |
|  [(constructor)(app, config)](./rest.restcomponent.(constructor).md) |  | Constructs a new instance of the <code>RestComponent</code> class |

## Properties

|  Property | Modifiers | Type | Description |
|  --- | --- | --- | --- |
|  [bindings](./rest.restcomponent.bindings.md) |  | <code>(Binding&lt;import(&quot;./body-parsers&quot;).BodyParser&gt; &#124; Binding&lt;RequestBodyParser&gt;)[]</code> | Add built-in body parsers |
|  [providers](./rest.restcomponent.providers.md) |  | <code>ProviderMap</code> |  |
|  [servers](./rest.restcomponent.servers.md) |  | <code>{</code><br/><code>        [name: string]: Constructor&lt;Server&gt;;</code><br/><code>    }</code> |  |


